## dde-session-ui 5.4.7

=== dmemory-warning-dialog/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.7)

project(dmemory-warning-dialog
        VERSION 1.0.0)

set(BIN_NAME dmemory-warning-dialog)
#set(CMAKE_VERBOSE_MAKEFILE ON)
set(CMAKE_CXX_STANDARD 14)
set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)
set(CMAKE_CXX_FLAGS -Wall)

if (NOT (${CMAKE_BUILD_TYPE} MATCHES "Debug"))
    set(CMAKE_CXX_FLAGS -O3)
endif ()

# Sources files
file(GLOB SRCS "src/*.h" "src/*.cpp")

# Find the library
find_package(PkgConfig REQUIRED)
find_package(Qt5 REQUIRED COMPONENTS Widgets Concurrent X11Extras DBus)
find_package(Dtk REQUIRED COMPONENTS Widget)

pkg_check_modules(XLIBS REQUIRED x11)

# driver-manager
add_executable(${BIN_NAME} ${SRCS})
target_include_directories(${BIN_NAME} PUBLIC ${XLIBS_INCLUDE_DIRS} ${Qt5X11Extras_INCLUDE_DIRS})
target_link_libraries(${BIN_NAME} PRIVATE
    ${DtkWidget_LIBRARIES}
    ${Qt5Widgets_LIBRARIES}
    ${Qt5Concurrent_LIBRARIES}
    ${Qt5DBus_LIBRARIES}
    ${Qt5X11Extras_LIBRARIES}
    ${XLIBS_LIBRARIES}
)

=== debian/changelog ===
dde-session-ui (5.4.7-1) unstable; urgency=medium

  * update

 -- Deepin Sysdev <sysdev@deepin.com>  Wed, 14 Apr 2021 17:46:11 +0800

dde-session-ui (3.0.14-1) unstable; urgency=low

  * Autobuild Tag 3.0.14 

 -- TagBuilder <tagbuilder@deepin.com>  Fri, 12 Aug 2016 18:58:15 +0000

dde-session-ui (3.0.13-1) unstable; urgency=low

  * Autobuild Tag 3.0.13 

 -- TagBuilder <tagbuilder@linuxdeepin.com>  Wed, 01 Jun 2016 02:38:54 +0000

dde-session-ui (3.0.12-2) unstable; urgency=low

  * Rebuild Version 3.0.12 

 -- TagBuilder <tagbuilder@linuxdeepin.com>  Wed, 25 May 2016 17:01:56 +0000

dde-session-ui (3.0.12-1) unstable; urgency=low

  * Autobuild Tag 3.0.12 

 -- TagBuilder <tagbuilder@linuxdeepin.com>  Mon, 23 May 2016 16:05:55 +0000

dde-session-ui (3.0.11-1) unstable; urgency=low

  * Autobuild Tag 3.0.11 

 -- TagBuilder <tagbuilder@linuxdeepin.com>  Mon, 23 May 2016 12:33:32 +0000

dde-session-ui (3.0.9-3) stable; urgency=low

  * Rebuild Version 3.0.9 

 -- TagBuilder <tagbuilder@linuxdeepin.com>  Mon, 25 Apr 2016 11:20:29 +0000

dde-session-ui (3.0.9-2) stable; urgency=low

  * Rebuild Version 3.0.9 

 -- TagBuilder <tagbuilder@linuxdeepin.com>  Thu, 21 Apr 2016 16:16:31 +0000

dde-session-ui (3.0.9-1) stable; urgency=low

  * Autobuild Tag 3.0.9 

 -- TagBuilder <tagbuilder@linuxdeepin.com>  Mon, 07 Mar 2016 15:48:06 +0000

dde-session-ui (3.0.8-1) stable; urgency=low

  * Autobuild Tag 3.0.8 

 -- TagBuilder <tagbuilder@linuxdeepin.com>  Thu, 25 Feb 2016 09:51:31 +0000

dde-session-ui (3.0.7-1) stable; urgency=low

  * Autobuild Tag 3.0.7 

 -- TagBuilder <tagbuilder@linuxdeepin.com>  Mon, 22 Feb 2016 16:41:00 +0000

dde-session-ui (3.0.6-1) stable; urgency=low

  * Autobuild Tag 3.0.6 

 -- TagBuilder <tagbuilder@linuxdeepin.com>  Wed, 27 Jan 2016 18:51:46 +0000

dde-session-ui (3.0.5-1) stable; urgency=low

  * Autobuild Tag 3.0.5 

 -- TagBuilder <tagbuilder@linuxdeepin.com>  Fri, 22 Jan 2016 19:51:31 +0000

dde-session-ui (3.0.4-1) stable; urgency=low

  * Autobuild Tag 3.0.4 

 -- TagBuilder <tagbuilder@linuxdeepin.com>  Tue, 12 Jan 2016 18:30:32 +0000

dde-session-ui (3.0.3-1) stable; urgency=low

  * Autobuild Tag 3.0.3 

 -- TagBuilder <tagbuilder@linuxdeepin.com>  Wed, 06 Jan 2016 16:42:53 +0000

dde-session-ui (3.0.2-1) stable; urgency=low

  * Autobuild Tag 3.0.2 

 -- TagBuilder <tagbuilder@linuxdeepin.com>  Wed, 30 Dec 2015 15:34:34 +0000

dde-session-ui (3.0.1-1) stable; urgency=low

  * Autobuild Tag 3.0.1 

 -- TagBuilder <tagbuilder@linuxdeepin.com>  Tue, 29 Dec 2015 21:39:51 +0000

dde-session-ui (3.0.0-1) stable; urgency=low

  * Autobuild Tag 3.0.0 

 -- TagBuilder <tagbuilder@linuxdeepin.com>  Mon, 28 Dec 2015 21:04:09 +0000

dde-session-ui (2.90.4-5) stable; urgency=low

  * Rebuild Version 2.90.4 

 -- TagBuilder <tagbuilder@linuxdeepin.com>  Tue, 22 Dec 2015 13:21:35 +0000

dde-session-ui (2.90.4-4) stable; urgency=low

  * Rebuild Version 2.90.4 

 -- TagBuilder <tagbuilder@linuxdeepin.com>  Mon, 21 Dec 2015 22:42:09 +0000

dde-session-ui (2.90.4-3) stable; urgency=low

  * Rebuild Version 2.90.4 

 -- TagBuilder <tabbuilder@linuxdeepin.com>  Sun, 20 Dec 2015 11:30:22 +0000

dde-session-ui (2.90.4-2) stable; urgency=low

  * Rebuild Version 2.90.4 

 -- TagBuilder <tabbuilder@linuxdeepin.com>  Sun, 20 Dec 2015 10:33:28 +0000

dde-session-ui (2.90.4-1) stable; urgency=low

  * Autobuild Tag 2.90.4 

 -- TagBuilder <tabbuilder@linuxdeepin.com>  Sat, 19 Dec 2015 13:07:13 +0000

dde-session-ui (2.90.3-1) stable; urgency=low

  * Autobuild Tag 2.90.3 

 -- TagBuilder <tabbuilder@linuxdeepin.com>  Wed, 09 Dec 2015 22:05:31 +0000

dde-session-ui (2.90.2-1) stable; urgency=low

  * Autobuild Tag 2.90.2 

 -- TagBuilder <tabbuilder@linuxdeepin.com>  Fri, 20 Nov 2015 17:03:09 +0000

dde-session-ui (2.90.1-2) stable; urgency=low

  * Rebuild Version 2.90.1 

 -- TagBuilder <tabbuilder@linuxdeepin.com>  Fri, 20 Nov 2015 11:58:05 +0000

dde-session-ui (2.90.1-1) stable; urgency=low

  * Autobuild Tag 2.90.1 

 -- TagBuilder <tabbuilder@linuxdeepin.com>  Fri, 20 Nov 2015 09:47:11 +0000

## dde-session-ui 5.5.10

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.13)

set(PROJECT_NAME dde-session-ui)
project(${PROJECT_NAME})

set(CMAKE_CXX_STANDARD 14)
set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)
set(CMAKE_CXX_FLAGS "-g -Wall")

# 增加安全编译参数
ADD_DEFINITIONS("-fstack-protector-strong -D_FORTITY_SOURCE=1 -z noexecstack -pie -fPIC -z lazy")

if (CMAKE_BUILD_TYPE STREQUAL "Debug")
    set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -g -fsanitize=address -O2")
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -g -fsanitize=address -O2")
endif()

if (DEFINED ENABLE_MIEEE)
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -mieee")
endif()

# Install settings
if (CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
    set(CMAKE_INSTALL_PREFIX /usr)
endif ()

if (NOT (${CMAKE_BUILD_TYPE} MATCHES "Debug"))
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Ofast")

    # generate qm
    execute_process(COMMAND bash "translate_generation.sh"
                    WORKING_DIRECTORY ${CMAKE_SOURCE_DIR})
endif ()

# Find the library
find_package(PkgConfig REQUIRED)
find_package(DtkWidget REQUIRED)
find_package(Qt5 COMPONENTS Widgets DBus X11Extras Xml Concurrent Svg Sql Test REQUIRED)

pkg_check_modules(DFrameworkDBus REQUIRED dframeworkdbus)
pkg_check_modules(GSETTINGS REQUIRED gsettings-qt)
pkg_check_modules(DdeDockInterface REQUIRED dde-dock)
pkg_check_modules(XCB_EWMH REQUIRED xcb-ewmh)
pkg_check_modules(GLIB REQUIRED glib-2.0)
pkg_check_modules(GIO REQUIRED gio-unix-2.0)
pkg_check_modules(SYSTEMD REQUIRED libsystemd)

function(generation_dbus_adaptor xml class_name class_file option)
    execute_process(COMMAND qdbusxml2cpp ${option} -a ${class_file} -c ${class_name} ${xml}
    WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR})
endfunction(generation_dbus_adaptor)

include_directories(
    common
    global_util
    widgets
)

set(Test_Libraries
    -lpthread
    -lgcov
    -lgtest
)

#----------------------------install config------------------------------
## qm files
file(GLOB QM_FILES "translations/*.qm")
install(FILES ${QM_FILES} DESTINATION share/${PROJECT_NAME}/translations)

#----------------------------common sources------------------------------
file(GLOB_RECURSE Common_SRCS
    "common/*.h"
    "common/*.cpp"
)

file(GLOB_RECURSE Widgets_SRCS
    "widgets/*.h"
    "widgets/*.cpp"
)

file(GLOB_RECURSE Global_Util_SRCS
    "global_util/*.h"
    "global_util/*.cpp"
)

#--------------------------dde-bluetooth-dialog--------------------------
set(Bluetooth_Dialog_Name dde-bluetooth-dialog)
file(GLOB_RECURSE Bluetooth_Dialog_SRCS
    "dde-bluetooth-dialog/*.h"
    "dde-bluetooth-dialog/*.cpp"
)
list(REMOVE_ITEM Bluetooth_Dialog_SRCS "${CMAKE_SOURCE_DIR}/dde-bluetooth-dialog/main.cpp")

add_executable(${Bluetooth_Dialog_Name}
    ${Common_SRCS}
    ${Bluetooth_Dialog_SRCS}
    dde-bluetooth-dialog/main.cpp
)
set(Bluetooth_Dialog_Includes
    ${DtkWidget_INCLUDE_DIRS}
    ${GSETTINGS_INCLUDE_DIRS}
    ${DFrameworkDBus_INCLUDE_DIRS}
    Qt5::Widgets
    Qt5::DBus
)
set(Bluetooth_Dialog_Libraries
    ${DtkWidget_LIBRARIES}
    ${GSETTINGS_LIBRARIES}
    ${DFrameworkDBus_LIBRARIES}
    Qt5::Widgets
    Qt5::DBus
)
target_include_directories(${Bluetooth_Dialog_Name} PUBLIC
    ${Bluetooth_Dialog_Includes}
)

target_link_libraries(${Bluetooth_Dialog_Name} PRIVATE
    ${Bluetooth_Dialog_Libraries}
)

## bin
install(TARGETS ${Bluetooth_Dialog_Name} DESTINATION lib/deepin-daemon)

#-------------------------ut-dde-bluetooth-dialog-------------------------
set(UT_Bluetooth_Dialog_Name ut-dde-bluetooth-dialog)
file(GLOB_RECURSE UT_Bluetooth_Dialog_SRCS
    "tests/dde-bluetooth-dialog/*.h"
    "tests/dde-bluetooth-dialog/*.cpp"
)
add_executable(${UT_Bluetooth_Dialog_Name}
    ${Common_SRCS}
    ${Bluetooth_Dialog_SRCS}
    ${UT_Bluetooth_Dialog_SRCS}
)

# 用于测试覆盖率的编译条件
target_compile_options(${UT_Bluetooth_Dialog_Name} PRIVATE -fprofile-arcs -ftest-coverage)

target_include_directories(${UT_Bluetooth_Dialog_Name} PUBLIC
    ${Bluetooth_Dialog_Includes}
    dde-bluetooth-dialog/
)

target_link_libraries(${UT_Bluetooth_Dialog_Name} PRIVATE
    ${Bluetooth_Dialog_Libraries}
    ${Test_Libraries}
)

#---------------------------dde-hints-dialog---------------------------
set(Hints_Dialog_Name dde-hints-dialog)
file(GLOB_RECURSE Hints_Dialog_SRCS
    "dde-hints-dialog/*.h"
    "dde-hints-dialog/*.cpp"
)
list(REMOVE_ITEM Hints_Dialog_SRCS "${CMAKE_SOURCE_DIR}/dde-hints-dialog/main.cpp")

add_executable(${Hints_Dialog_Name}
    ${Hints_Dialog_SRCS}
    dde-hints-dialog/main.cpp
)
target_include_directories(${Hints_Dialog_Name} PUBLIC
    ${DtkWidget_INCLUDE_DIRS}
    Qt5::Widgets
)

target_link_libraries(${Hints_Dialog_Name} PRIVATE
    ${DtkWidget_LIBRARIES}
    Qt5::Widgets
)

## bin
install(TARGETS ${Hints_Dialog_Name} DESTINATION bin)

#--------------------------dde-license-dialog--------------------------
set(License_Dialog_Name dde-license-dialog)
file(GLOB_RECURSE License_Dialog_SRCS
    "dde-license-dialog/*.h"
    "dde-license-dialog/*.cpp"
)
list(REMOVE_ITEM License_Dialog_SRCS "${CMAKE_SOURCE_DIR}/dde-license-dialog/main.cpp")

add_executable(${License_Dialog_Name}
    ${Common_SRCS}
    ${License_Dialog_SRCS}
    dde-license-dialog/main.cpp
)
set(License_Dialog_Includes
    ${DtkWidget_INCLUDE_DIRS}
    Qt5::Widgets
    Qt5::Concurrent
)
set(License_Dialog_Libraries
    ${DtkWidget_LIBRARIES}
    Qt5::Widgets
    Qt5::Concurrent
)
target_include_directories(${License_Dialog_Name} PUBLIC
    ${License_Dialog_Includes}
)

target_link_libraries(${License_Dialog_Name} PRIVATE
    ${License_Dialog_Libraries}
)

## bin
install(TARGETS ${License_Dialog_Name} DESTINATION bin)

#-------------------------ut-dde-license-dialog-------------------------
set(UT_License_Dialog_Name ut-dde-license-dialog)
file(GLOB_RECURSE UT_License_Dialog_SRCS
    "tests/dde-license-dialog/*.h"
    "tests/dde-license-dialog/*.cpp"
)
add_executable(${UT_License_Dialog_Name}
    ${Common_SRCS}
    ${License_Dialog_SRCS}
    ${UT_License_Dialog_SRCS}
)

# 用于测试覆盖率的编译条件
target_compile_options(${UT_License_Dialog_Name} PRIVATE -fprofile-arcs -ftest-coverage)

target_include_directories(${UT_License_Dialog_Name} PUBLIC
    ${License_Dialog_Includes}
    dde-license-dialog/
)

target_link_libraries(${UT_License_Dialog_Name} PRIVATE
    ${License_Dialog_Libraries}
    ${Test_Libraries}
)

#------------------------------dde-lowpower-----------------------------
set(Lowpower_Name dde-lowpower)
file(GLOB_RECURSE Lowpower_SRCS
    "dde-lowpower/*.h"
    "dde-lowpower/*.cpp"
)
list(REMOVE_ITEM Lowpower_SRCS "${CMAKE_SOURCE_DIR}/dde-lowpower/main.cpp")

add_executable(${Lowpower_Name}
    ${Lowpower_SRCS}
    dde-lowpower/main.cpp
)
set(Lowpower_Includes
    ${DtkWidget_INCLUDE_DIRS}
    Qt5::Widgets
    Qt5::DBus
)
set(Lowpower_Libraries
    ${DtkWidget_LIBRARIES}
    Qt5::Widgets
    Qt5::DBus
)

target_include_directories(${Lowpower_Name} PUBLIC
    ${Lowpower_Includes}
)

target_link_libraries(${Lowpower_Name} PRIVATE
    ${Lowpower_Libraries}
)

## bin
install(TARGETS ${Lowpower_Name} DESTINATION lib/deepin-daemon)

#----------------------------ut-dde-lowpower----------------------------
set(UT_Lowpower_Name ut-dde-lowpower)
file(GLOB_RECURSE UT_Lowpower_SRCS
    "tests/dde-lowpower/*.h"
    "tests/dde-lowpower/*.cpp"
)
add_executable(${UT_Lowpower_Name}
    ${Lowpower_SRCS}
    ${UT_Lowpower_SRCS}
)

# 用于测试覆盖率的编译条件
target_compile_options(${UT_Lowpower_Name} PRIVATE -fprofile-arcs -ftest-coverage)

target_include_directories(${UT_Lowpower_Name} PUBLIC
    ${Lowpower_Includes}
    Qt5::Test
    dde-lowpower/
)

target_link_libraries(${UT_Lowpower_Name} PRIVATE
    ${Lowpower_Libraries}
    ${Test_Libraries}
    Qt5::Test
)

#-------------------------dde-notification-plugin------------------------
set(Notification_Plugin_Name notifications)
file(GLOB_RECURSE Notification_Plugin_SRCS
    "dde-notification-plugin/*.h"
    "dde-notification-plugin/*.cpp"
    "dde-notification-plugin/*.qrc"
)
add_library(${Notification_Plugin_Name} MODULE
    ${Notification_Plugin_SRCS}
)
set(Notification_Plugin_Includes
    ${DtkWidget_INCLUDE_DIRS}
    ${DdeDockInterface_INCLUDE_DIRS}
    ${DFrameworkDBus_INCLUDE_DIRS}
    ${GSETTINGS_INCLUDE_DIRS}
    Qt5::Widgets
    Qt5::DBus
    Qt5::Svg
)
set(Notification_Plugin_Libraries
    ${DtkWidget_LIBRARIES}
    ${DdeDockInterface_LIBRARIES}
    ${DFrameworkDBus_LIBRARIES}
    ${GSETTINGS_LIBRARIES}
    Qt5::Widgets
    Qt5::DBus
    Qt5::Svg
)
target_include_directories(${Notification_Plugin_Name} PUBLIC
    ${Notification_Plugin_Includes}
)

target_link_libraries(${Notification_Plugin_Name} PRIVATE
    ${Notification_Plugin_Libraries}
)

## bin
install(TARGETS ${Notification_Plugin_Name} LIBRARY DESTINATION lib/dde-dock/plugins)

## schemas
install(FILES dde-notification-plugin/gschema/com.deepin.dde.dock.module.notifications.gschema.xml DESTINATION share/glib-2.0/schemas)

#-------------------------ut-dde-notification-plugin------------------------
set(UT_Notification_Plugin_Name ut-dde-notification-plugin)
file(GLOB_RECURSE UT_Notification_Plugin_SRCS
    "tests/dde-notification-plugin/*.h"
    "tests/dde-notification-plugin/*.cpp"
)
add_executable(${UT_Notification_Plugin_Name}
    ${Notification_Plugin_SRCS}
    ${UT_Notification_Plugin_SRCS}
)

# 用于测试覆盖率的编译条件
target_compile_options(${UT_Notification_Plugin_Name} PRIVATE -fprofile-arcs -ftest-coverage)

target_include_directories(${UT_Notification_Plugin_Name} PUBLIC
    ${Notification_Plugin_Includes}
    Qt5::Test
    dde-notification-plugin/
)

target_link_libraries(${UT_Notification_Plugin_Name} PRIVATE
    ${Notification_Plugin_Libraries}
    ${Test_Libraries}
    Qt5::Test
)

#--------------------------------dde-osd-------------------------------
set(OSD_Name dde-osd)
file(GLOB_RECURSE OSD_SRCS
    "dde-osd/*.h"
    "dde-osd/*.cpp"
    "dde-osd/*.qrc"
)
list(REMOVE_ITEM OSD_SRCS "${CMAKE_SOURCE_DIR}/dde-osd/main.cpp")

add_executable(${OSD_Name}
    ${OSD_SRCS}
    dde-osd/main.cpp
)
set(OSD_Includes
    ${DtkWidget_INCLUDE_DIRS}
    ${DFrameworkDBus_INCLUDE_DIRS}
    ${GSETTINGS_INCLUDE_DIRS}
    Qt5::Concurrent
    Qt5::X11Extras
    Qt5::Widgets
    Qt5::DBus
    Qt5::Svg
    Qt5::Sql
    Qt5::Test
    dde-osd/
)
set(OSD_Libraries
    ${DtkWidget_LIBRARIES}
    ${DFrameworkDBus_LIBRARIES}
    ${GSETTINGS_LIBRARIES}
    ${XCB_EWMH_LIBRARIES}
    Qt5::Concurrent
    Qt5::X11Extras
    Qt5::Widgets
    Qt5::DBus
    Qt5::Svg
    Qt5::Sql
    Qt5::Test
)

target_include_directories(${OSD_Name} PUBLIC
    ${OSD_Includes}
)

target_link_libraries(${OSD_Name} PRIVATE
    ${OSD_Libraries}
)

## bin
install(TARGETS ${OSD_Name} DESTINATION lib/deepin-daemon)

## service
file(GLOB OSD_SERVICE_FILES "dde-osd/files/*.service")
install(FILES ${OSD_SERVICE_FILES} DESTINATION share/dbus-1/services)

#-----------------------------ut-dde-osd-----------------------------
#--todo: 单元测试编译不通过，需修改后取消注释

# set(UT_OSD_Name ut-dde-osd)
# file(GLOB_RECURSE UT_OSD_SRCS
#     "tests/dde-osd/*.h"
#     "tests/dde-osd/*.cpp"
# )
# add_executable(${UT_OSD_Name}
#     ${OSD_SRCS}
#     ${UT_OSD_SRCS}
# )

# # 用于测试覆盖率的编译条件
# target_compile_options(${UT_OSD_Name} PRIVATE -fprofile-arcs -ftest-coverage)

# target_include_directories(${UT_OSD_Name} PUBLIC
#     ${OSD_Includes}
#     tests/dde-osd/
#     dde-osd/notification/
#     dde-osd/notification-center/
# )

# target_link_libraries(${UT_OSD_Name} PRIVATE
#     ${OSD_Libraries}
#     ${Test_Libraries}
# )

#-------------------------------dde-pixmix-----------------------------
set(Pixmix_Name dde-pixmix)
file(GLOB_RECURSE Pixmix_SRCS
    "dde-pixmix/*.h"
    "dde-pixmix/*.cpp"
)
list(REMOVE_ITEM Pixmix_SRCS "${CMAKE_SOURCE_DIR}/dde-pixmix/main.cpp")

add_executable(${Pixmix_Name}
    ${Pixmix_SRCS}
    dde-pixmix/main.cpp
)
set(Pixmix_Includes
    ${DtkWidget_INCLUDE_DIRS}
    Qt5::Widgets
)
set(Pixmix_Libraries
    ${DtkWidget_LIBRARIES}
    Qt5::Widgets
)

target_include_directories(${Pixmix_Name} PUBLIC
    ${Pixmix_Includes}
)

=== debian/changelog ===
dde-session-ui (5.5.10-1) unstable; urgency=medium

  * update

 -- Deepin Sysdev <sysdev@deepin.com>  Mon, 21 Feb 2022 11:28:00 +0800

=== debian/control ===
Source: dde-session-ui
Section: devel
Priority: optional
Maintainer: Deepin Sysdev <sysdev@deepin.com>
Build-Depends: debhelper (>= 8.0.0), pkg-config,
 cmake,
 qtbase5-dev,
 libxcb-ewmh-dev,
 libqt5x11extras5-dev,
 libgsettings-qt-dev,
 libqt5svg5-dev,
 libglib2.0-dev,
 libdtkwidget-dev,
 qttools5-dev-tools,
 libsystemd-dev,
 libdframeworkdbus-dev,
 libdtkcore5-bin,
 dde-dock-dev,
 libgtest-dev,
 libgio-qt-dev
Standards-Version: 3.9.4
Homepage: http://www.deepin.org/

Package: dde-session-ui
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${dist:Depends},
 deepin-desktop-schemas (>= 5.9.14),
 libdframeworkdbus2 (>=5.4.6),
 dde-daemon (>=5.13.27),
 startdde (>=5.8.15),
 x11-xserver-utils,
 dbus-x11,
 dde-session-shell,
 pandoc,
 libxcb-util0
Provides: lightdm-greeter
Recommends: onboard
Conflicts: dde-workspace,
 startdde (<< 2.91.1),
 deepin-notifications
Replaces: deepin-notifications
Breaks: dde-workspace, startdde(<< 2.91.1)
Description: deepin desktop-environment - dde-session-ui module
 Deepin desktop environment 2015 - dde-session-ui module.

## dde-session-ui 5.5.23

=== CMakeLists.txt ===
--- 
+++ 
@@ -10,7 +10,9 @@
 set(CMAKE_CXX_FLAGS "-g -Wall")
 
 # 增加安全编译参数
-ADD_DEFINITIONS("-fstack-protector-strong -D_FORTITY_SOURCE=1 -z noexecstack -pie -fPIC -z lazy")
+set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fstack-protector-all -fPIC")
+set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -fstack-protector-all -fPIC")
+set(CMAKE_EXE_LINKER_FLAGS  "-z relro -z now -z noexecstack -pie")
 
 if (CMAKE_BUILD_TYPE STREQUAL "Debug")
     set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -g -fsanitize=address -O2")
@@ -461,10 +463,3 @@
 )
 set(Pixmix_Libraries
     ${DtkWidget_LIBRARIES}
-    Qt5::Widgets
-)
-
-target_include_directories(${Pixmix_Name} PUBLIC
-    ${Pixmix_Includes}
-)
-

=== debian/changelog ===
dde-session-ui (5.5.23-1) unstable; urgency=medium

  * update

 -- Deepin Sysdev <sysdev@deepin.com>  Thu, 05 May 2022 17:25:38 +0800

## dde-session-ui 5.5.25

=== debian/changelog ===
dde-session-ui (5.5.25-1) unstable; urgency=medium

  * update

 -- Deepin Sysdev <sysdev@deepin.com>  Mon, 27 Jun 2022 10:40:43 +0800

## dde-session-ui 5.5.28

=== debian/changelog ===
dde-session-ui (5.5.28-1) unstable; urgency=medium

  * update

 -- Deepin Sysdev <sysdev@deepin.com>  Sat, 13 Aug 2022 14:11:11 +0800

dde-session-ui (3.0.14) unstable; urgency=low

  * Autobuild Tag 3.0.14 

 -- TagBuilder <tagbuilder@deepin.com>  Fri, 12 Aug 2016 18:58:15 +0000

## dde-session-ui 5.5.31

=== CMakeLists.txt ===
--- 
+++ 
@@ -416,6 +416,7 @@
 ## service
 file(GLOB OSD_SERVICE_FILES "dde-osd/files/*.service")
 install(FILES ${OSD_SERVICE_FILES} DESTINATION share/dbus-1/services)
+install(FILES dde-osd/files/dde-osd.desktop DESTINATION share/applications/)
 
 #-----------------------------ut-dde-osd-----------------------------
 #--todo: 单元测试编译不通过，需修改后取消注释
@@ -459,7 +460,3 @@
 )
 set(Pixmix_Includes
     ${DtkWidget_INCLUDE_DIRS}
-    Qt5::Widgets
-)
-set(Pixmix_Libraries
-    ${DtkWidget_LIBRARIES}

=== debian/changelog ===
dde-session-ui (5.5.31-1) unstable; urgency=medium

  * update

 -- Deepin Sysdev <sysdev@deepin.com>  Thu, 15 Sep 2022 13:08:46 +0800

## dde-session-ui 5.5.36

=== debian/changelog ===
dde-session-ui (5.5.36-1) unstable; urgency=medium

  * update

 -- Deepin Sysdev <sysdev@deepin.com>  Thu, 13 Oct 2022 19:39:36 +0800

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
export QT_SELECT=5

include /usr/share/dpkg/default.mk
SYSTYPE=Desktop
SYSTYPE=$(shell cat /etc/deepin-version | grep Type= | awk -F'=' '{print $$2}')
%:
	dh $@ --parallel

ifeq ($(DEB_BUILD_ARCH), mipsel)
override_dh_auto_configure:
	dh_auto_configure -- SHUTDOWN_NO_QUIT=YES LOCK_NO_QUIT=YES DISABLE_DEMO_VIDEO=YES DISABLE_TEXT_SHADOW=YES DISABLE_ANIMATIONS=YES USE_CURSOR_LOADING_ANI=YES
endif

ifeq ($(DEB_BUILD_ARCH), mips64el)
override_dh_auto_configure:
	dh_auto_configure -- SHUTDOWN_NO_QUIT=YES LOCK_NO_QUIT=YES DISABLE_DEMO_VIDEO=YES DISABLE_TEXT_SHADOW=YES DISABLE_ANIMATIONS=YES USE_CURSOR_LOADING_ANI=YES
endif

ifeq ($(DEB_BUILD_ARCH), sw_64)
override_dh_auto_configure:
	dh_auto_configure -- SHUTDOWN_NO_QUIT=YES LOCK_NO_QUIT=YES DISABLE_DEMO_VIDEO=YES DISABLE_TEXT_SHADOW=YES DISABLE_ANIMATIONS=YES USE_CURSOR_LOADING_ANI=YES
endif

ifeq ($(SYSTYPE), Professional)
ifeq ($(DEB_BUILD_ARCH), amd64)
override_dh_gencontrol:
	dh_gencontrol -- -Vdist:Depends="pbis-open"
endif
endif

## dde-session-ui 5.6.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -39,7 +39,7 @@
 # Find the library
 find_package(PkgConfig REQUIRED)
 find_package(DtkWidget REQUIRED)
-find_package(Qt5 COMPONENTS Widgets DBus X11Extras Xml Concurrent Svg Sql Test REQUIRED)
+find_package(Qt5 COMPONENTS Widgets DBus X11Extras Xml Concurrent Svg Sql Network Test REQUIRED)
 
 pkg_check_modules(DFrameworkDBus REQUIRED dframeworkdbus)
 pkg_check_modules(GSETTINGS REQUIRED gsettings-qt)
@@ -459,4 +459,3 @@
     dde-pixmix/main.cpp
 )
 set(Pixmix_Includes
-    ${DtkWidget_INCLUDE_DIRS}

=== debian/changelog ===
dde-session-ui (5.6.1-1) unstable; urgency=medium

  * update

 -- Deepin Sysdev <sysdev@deepin.com>  Tue, 08 Nov 2022 10:26:43 +0800

=== debian/control ===
--- 
+++ 
@@ -32,7 +32,7 @@
  dbus-x11,
  dde-session-shell,
  pandoc,
- libxcb-util0
+ libxcb-util0 | libxcb-util1
 Provides: lightdm-greeter
 Recommends: onboard
 Conflicts: dde-workspace,

## dde-session-ui 6.0.22

=== CMakeLists.txt ===
# SPDX-FileCopyrightText: 2023 UnionTech Software Technology Co., Ltd.
#
# SPDX-License-Identifier: GPL-3.0-or-later

cmake_minimum_required(VERSION 3.13)

set(PROJECT_NAME dde-session-ui)
project(${PROJECT_NAME})

set(CMAKE_CXX_STANDARD 17)
set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -g -Wall")
option(DISABLE_SYS_UPDATE "disable sys update" OFF)

# 增加安全编译参数
ADD_DEFINITIONS("-fstack-protector-strong -D_FORTITY_SOURCE=1 -z noexecstack -pie -fPIC -z lazy")

if (CMAKE_BUILD_TYPE STREQUAL "Debug")
    add_compile_options(-fsanitize=address)
    add_link_options(-fsanitize=address)
endif()

if (DEFINED ENABLE_MIEEE)
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -mieee")
endif()

# Install settings
if (CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
    set(CMAKE_INSTALL_PREFIX /usr)
endif ()

include(GNUInstallDirs)

if (NOT (${CMAKE_BUILD_TYPE} MATCHES "Debug"))
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Ofast")

    # generate qm
    execute_process(COMMAND bash "translate_generation.sh"
        WORKING_DIRECTORY ${CMAKE_SOURCE_DIR})
endif ()

set(DAEMON_LIB_PATH "lib/deepin-daemon" CACHE STRING "daemon lib path")

# 查找gmock的cmake文件
set(CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake/modules)

# Find the library
find_package(PkgConfig REQUIRED)
find_package(GTest REQUIRED)
find_package(GMock REQUIRED)
find_package(Dtk REQUIRED COMPONENTS Core Widget)
find_package(Qt5 REQUIRED COMPONENTS Widgets DBus X11Extras Xml Concurrent Svg Sql Network Test)

pkg_check_modules(GSETTINGS REQUIRED IMPORTED_TARGET gsettings-qt)
pkg_check_modules(DdeDockInterface REQUIRED dde-dock)
pkg_check_modules(XCB_EWMH REQUIRED IMPORTED_TARGET xcb-ewmh)
pkg_check_modules(GLIB REQUIRED glib-2.0)
pkg_check_modules(GIO REQUIRED gio-unix-2.0)
pkg_check_modules(SYSTEMD REQUIRED libsystemd)

set(Test_Libraries
    -lpthread
    -lgcov
    -lgtest
    -lgmock
)

find_package(DtkTools REQUIRED)

# shared objects
add_subdirectory("common")
add_subdirectory("widgets")
add_subdirectory("global_util")
add_subdirectory("global_util/dbus")

# child projects
add_subdirectory("dde-bluetooth-dialog")
add_subdirectory("dde-hints-dialog")
add_subdirectory("dde-license-dialog")
add_subdirectory("dde-lowpower")
add_subdirectory("dde-osd")
add_subdirectory("dde-pixmix")
add_subdirectory("dde-suspend-dialog")
add_subdirectory("dde-switchtogreeter")
add_subdirectory("dde-touchscreen-dialog")
add_subdirectory("dde-warning-dialog")
add_subdirectory("dde-welcome")
add_subdirectory("dde-wm-chooser")

# FIXME: startmanager is removed, so it need to be updated
# add_subdirectory("dmemory-warning-dialog")

add_subdirectory("dnetwork-secret-dialog")

# TODO: 需要break旧版本的控制中心
add_subdirectory("reset-password-dialog")

#----------------------------install config------------------------------
## qm files
file(GLOB QM_FILES "translations/*.qm")
install(FILES ${QM_FILES} DESTINATION ${CMAKE_INSTALL_DATADIR}/${PROJECT_NAME}/translations)

=== common/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2023 UnionTech Software Technology Co., Ltd.
#
# SPDX-License-Identifier: GPL-3.0-or-later

set(Common_SRCS
    accessibilitycheckerex.cpp
    accessibilitycheckerex.h
)

add_library(session-ui-common-shared OBJECT
    ${Widgets_SRCS}
)

target_include_directories(session-ui-common-shared
PUBLIC
    ${CMAKE_CURRENT_LIST_DIR}
)

target_link_libraries(session-ui-common-shared
PRIVATE
    Qt5::Widgets
    Dtk::Widget
)

=== dde-bluetooth-dialog/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2023 UnionTech Software Technology Co., Ltd.
#
# SPDX-License-Identifier: GPL-3.0-or-later

file(GLOB_RECURSE Bluetooth_Dialog_SRCS
    "src/*.h"
    "src/*.cpp"
)

list(REMOVE_ITEM Bluetooth_Dialog_SRCS "${CMAKE_SOURCE_DIR}/dde-bluetooth-dialog/src/main.cpp")

set(Bluetooth_Dialog_Includes
    ${DtkWidget_INCLUDE_DIRS}
    ${GSETTINGS_INCLUDE_DIRS}
    Qt5::Widgets
    Qt5::DBus
)
set(Bluetooth_Dialog_Libraries
    ${DtkWidget_LIBRARIES}
    ${GSETTINGS_LIBRARIES}
    Qt5::Widgets
    Qt5::DBus
)

add_subdirectory("src")
add_subdirectory("tests")

=== dde-hints-dialog/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2023 UnionTech Software Technology Co., Ltd.
#
# SPDX-License-Identifier: GPL-3.0-or-later

file(GLOB_RECURSE Hints_Dialog_SRCS
    "src/*.h"
    "src/*.cpp"
    )

list(REMOVE_ITEM Hints_Dialog_SRCS "${CMAKE_SOURCE_DIR}/dde-hints-dialog/src/main.cpp")

set(Hints_Dialog_Includes
    ${DtkWidget_INCLUDE_DIRS}
    Qt5::Widgets
    )

set(Hints_Dialog_Libraries
    ${DtkWidget_LIBRARIES}
    Qt5::Widgets
    )

add_subdirectory("src")
#add_subdirectory("tests")

=== dde-license-dialog/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2023 UnionTech Software Technology Co., Ltd.
#
# SPDX-License-Identifier: GPL-3.0-or-later

file(GLOB_RECURSE License_Dialog_SRCS
    "src/*.h"
    "src/*.cpp"
    )

list(REMOVE_ITEM License_Dialog_SRCS "${CMAKE_SOURCE_DIR}/dde-license-dialog/src/main.cpp")

set(License_Dialog_Includes
    ${DtkWidget_INCLUDE_DIRS}
    Qt5::Widgets
    Qt5::Concurrent
    )

set(License_Dialog_Libraries
    ${DtkWidget_LIBRARIES}
    Qt5::Widgets
    Qt5::Concurrent
    )

add_subdirectory("src")
add_subdirectory("tests")

=== dde-lowpower/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2023 UnionTech Software Technology Co., Ltd.
#
# SPDX-License-Identifier: GPL-3.0-or-later

file(GLOB_RECURSE Lowpower_SRCS
    "src/*.h"
    "src/*.cpp"
    )

list(REMOVE_ITEM Lowpower_SRCS "${CMAKE_SOURCE_DIR}/dde-lowpower/src/main.cpp")

set(Lowpower_Includes
    ${DtkWidget_INCLUDE_DIRS}
    Qt5::Widgets
    Qt5::DBus
    )

set(Lowpower_Libraries
    ${DtkWidget_LIBRARIES}
    Qt5::Widgets
    Qt5::DBus
    )

add_subdirectory("src")
add_subdirectory("tests")

=== dde-pixmix/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2023 UnionTech Software Technology Co., Ltd.
#
# SPDX-License-Identifier: GPL-3.0-or-later

file(GLOB_RECURSE Pixmix_SRCS
    "src/*.h"
    "src/*.cpp"
    )
list(REMOVE_ITEM Pixmix_SRCS "${CMAKE_SOURCE_DIR}/dde-pixmix/srcmain.cpp")

set(Pixmix_Includes
    ${DtkWidget_INCLUDE_DIRS}
    Qt5::Widgets
    )
set(Pixmix_Libraries
    ${DtkWidget_LIBRARIES}
    Qt5::Widgets
    )

add_subdirectory("src")
#add_subdirectory("tests")

=== dde-suspend-dialog/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2023 UnionTech Software Technology Co., Ltd.
#
# SPDX-License-Identifier: GPL-3.0-or-later

file(GLOB_RECURSE Suspend_Dialog_SRCS
    "src/*.h"
    "src/*.cpp"
    )
list(REMOVE_ITEM Suspend_Dialog_SRCS "${CMAKE_SOURCE_DIR}/dde-suspend-dialog/src/main.cpp")

set(Suspend_Dialog_Includes
    ${DtkWidget_INCLUDE_DIRS}
    Qt5::Widgets
    Qt5::DBus
    )
set(Suspend_Dialog_Libraries
    ${DtkWidget_LIBRARIES}
    Qt5::Widgets
    Qt5::DBus
    )

add_subdirectory("src")
add_subdirectory("tests")

=== dde-switchtogreeter/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2023 UnionTech Software Technology Co., Ltd.
#
# SPDX-License-Identifier: GPL-3.0-or-later

file(GLOB_RECURSE Switchtogreeter_SRCS
    "*.h"
    "*.c"
    )

set(Switchtogreeter_Includes
    ${SYSTEMD_INCLUDE_DIRS}
    ${GLIB_INCLUDE_DIRS}
    ${GIO_INCLUDE_DIRS}
    )
set(Switchtogreeter_Libraries
    ${SYSTEMD_LIBRARIES}
    ${GLIB_LIBRARIES}
    ${GIO_LIBRARIES}
    )

add_subdirectory("src")
#add_subdirectory("tests")

=== dde-touchscreen-dialog/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2023 UnionTech Software Technology Co., Ltd.
#
# SPDX-License-Identifier: GPL-3.0-or-later

file(GLOB_RECURSE Touchscreen_Dialog_SRCS
    "src/*.h"
    "src/*.cpp"
    )

list(REMOVE_ITEM Touchscreen_Dialog_SRCS "${CMAKE_SOURCE_DIR}/dde-touchscreen-dialog/src/main.cpp")

set(Touchscreen_Dialog_Includes
    ${DtkWidget_INCLUDE_DIRS}
    Qt5::X11Extras
    Qt5::Widgets
    Qt5::DBus
    )
set(Touchscreen_Dialog_Libraries
    ${DtkWidget_LIBRARIES}
    Qt5::X11Extras
    Qt5::Widgets
    Qt5::DBus
    -lXext
    )

add_subdirectory("src")
add_subdirectory("tests")

=== dde-warning-dialog/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2023 UnionTech Software Technology Co., Ltd.
#
# SPDX-License-Identifier: GPL-3.0-or-later

file(GLOB_RECURSE Warning_Dialog_SRCS
    "src/*.h"
    "src/*.cpp"
    )

list(REMOVE_ITEM Warning_Dialog_SRCS "${CMAKE_SOURCE_DIR}/dde-warning-dialog/src/main.cpp")

set(Warning_Dialog_Includes
    ${DtkWidget_INCLUDE_DIRS}
    Qt5::Widgets
    Qt5::DBus
    )
set(Warning_Dialog_Libraries
    ${DtkWidget_LIBRARIES}
    Qt5::Widgets
    Qt5::DBus
    )

add_subdirectory("src")
add_subdirectory("tests")

=== dde-welcome/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2023 UnionTech Software Technology Co., Ltd.
#
# SPDX-License-Identifier: GPL-3.0-or-later

add_library(dde-welcome-shared OBJECT
    "src/mainwidget.cpp"
    "src/mainwidget.h"
    "src/updatecontent.cpp"
    "src/updatecontent.h"
    "src/utils.cpp"
    "src/utils.h"
)

target_link_libraries(dde-welcome-shared
    session-ui-widgets-shared
    session-ui-dbus-shared
    Dtk::Widget
    PkgConfig::GSETTINGS
    Qt5::Widgets
    Qt5::DBus
    Qt5::Xml
)

add_subdirectory("src")
add_subdirectory("tests")

=== debian/changelog ===
dde-session-ui (6.0.22) unstable; urgency=medium

  * chore: 解决dde-pixmix在root下执行崩溃的问题
  * fix: translation issue with networksecretdialog

 -- fuleyi <fuleyi@uniontech.com>  Mon, 12 Aug 2024 17:04:22 +0800

dde-session-ui (6.0.21) unstable; urgency=medium

  * bump version to 6.0.21

 -- Deepin Packages Builder <packages@deepin.org>  Fri, 02 Aug 2024 16:13:49 +0800

dde-session-ui (6.0.20) unstable; urgency=medium

  * release 6.0.20

 -- Yingzhen zhao <zhaoyingzhen@uniontech.com>  Fri, 19 Jul 2024 17:05:36 +0800

dde-session-ui (6.0.19) unstable; urgency=medium

  * release 6.0.19

 -- Mike Chen <chenke@deepin.org>  Thu, 23 May 2024 14:11:46 +0800

dde-session-ui (6.0.18) unstable; urgency=medium

  * fix: wrong position of notification

 -- Wang Fei <wangfei@deepin.org>  Tue, 23 Apr 2024 13:45:38 +0800

dde-session-ui (6.0.17) unstable; urgency=medium

  * fix: notification settings reset after restart(Issue: https://github.com/linuxdeepin/developer-center/issues/7261)

 -- Zhang kun <zhangkun2@uniontech.com>  Wed, 17 Apr 2024 10:20:16 +0800

dde-session-ui (6.0.16) unstable; urgency=medium

  * fix: the number of notifications is incorrect(Issue: https://github.com/linuxdeepin/developer-center/issues/6952)

 -- YeShanShan <yeshanshan@deepin.org>  Fri, 19 Jan 2024 16:08:36 +0800

dde-session-ui (6.0.15) unstable; urgency=medium

  * fix: missing notification for NotifyCenter(Issue: https://github.com/linuxdeepin/developer-center/issues/6930)

 -- YeShanShan <yeshanshan@deepin.org>  Wed, 17 Jan 2024 15:16:57 +0800

dde-session-ui (6.0.14) unstable; urgency=medium

  * remove the dependence of pandoc
  * fix: no display desktop is add to notifysettings

 -- chenhongtao <chenhongtao@deepin.org>  Mon, 15 Jan 2024 14:28:38 +0800

dde-session-ui (6.0.13) unstable; urgency=medium

  * fix: drop launcherd1 interface, use am's interface
  * fix: coredump when uninstall app
  * feat: add record count dbus property

 -- Wang Yixue <wangyixue@deepin.org>  Wed, 10 Jan 2024 15:21:53 +0800

dde-session-ui (6.0.12) unstable; urgency=medium

  * fix: ut crashed when calling DBusContext method
  * fix: dde-osd can't display bubble in treeland(Issue: https://github.com/linuxdeepin/developer-center/issues/6095)
  * fix: don't override CMAKE_EXE_LINKER_FLAGS
    Thanks to Felix Yan

 -- YeShanShan <yeshanshan@deepin.org>  Thu, 28 Dec 2023 16:58:19 +0800

dde-session-ui (6.0.11) unstable; urgency=medium

  * fix: repeated warning when fetch GetAllItemInfos
  * fix: use dbus-user-session instead of dbus-x11 in control
  * feat: support notification to switch other bubble(Issue: https://github.com/linuxdeepin/developer-center/issues/6095)
  * chore: Store a notification to database immediately when it pops up

 -- YeShanShan <yeshanshan@deepin.org>  Fri, 15 Dec 2023 09:34:40 +0800

dde-session-ui (6.0.10) unstable; urgency=medium

  * chore: Sync by https://github.com/linuxdeepin/.github/commit/2e5e092ba3f86b16d1aabbabcf0bfd2ae65b19c8(Influence: none)
  * chore(CI): correct conflicts depends and correct source name
  * fix: compile failed after dtkwidget upgrade
  * chore: Sync by https://github.com/linuxdeepin/.github/commit/559e91167d4919644f37bbcf123eb0651c1528ea(Influence: none)
  * chore: Compling error
  * fix: Can't update password for dnetwork-secret-dialog(Issue: https://github.com/linuxdeepin/developer-center/issues/5284)
  * chore: Add log to debug

 -- Deepin Packages Builder <packages@deepin.org>  Fri, 01 Sep 2023 11:08:31 +0800

dde-session-ui (6.0.9) unstable; urgency=medium

  * revert incorrect fix for linglong application notification cannot be launched correctly

 -- Wang Zichong <wangzichong@deepin.org>  Fri, 05 May 2023 11:03:00 +0800

dde-session-ui (6.0.8) unstable; urgency=medium

  * do not ignore CMAKE_CXX_FLAGS and CMAKE_EXE_LINKER_FLAGS specified by system
  * fix linglong application notification cannot be launched correctly

 -- Wang Zichong <wangzichong@deepin.org>  Mon, 03 Apr 2023 16:44:00 +0800

dde-session-ui (6.0.7) unstable; urgency=medium

  * Avoid use GLOB for some subprojects (dde-osd, dde-welcome, etc)
  * Reuse common utils as object libraries
  * Ensure project source compliant with REUSE spec
  * Fix dde-osd window round radius conflicting with blur effect
  * Change the value of XDG_CURRENT_DESKTOP to DDE

 -- Wang Zichong <wangzichong@deepin.org>  Tue, 28 Mar 2023 17:01:00 +0800

dde-session-ui (6.0.6) unstable; urgency=medium

  [ TagBuilder ]
  * fix: 解决音量及亮度osd在字体放大情况下显示不全的问题。(Bug: 181545)(Influence: 在系统字体放大情况下，音量及亮度osd显示。)

 -- zhaoyingzhen <zhaoyingzhen@uniontech.com>  Fri, 13 Jan 2023 10:23:33 +0800

dde-session-ui (6.0.5) unstable; urgency=medium

  [ TagBuilder ]
  * chore: 更新翻译文件(Influence: 无。)
  * fix: 修复com.deepin.dde.Notificatin服务获取GetAppList为空的问题(Bug: 165875)(Influence: 无。)
  * fix(dnetwork-secret-dialog): 修改网络面板通讯(Task: 196767)(Influence: 登录、锁屏、任务栏网络面板弹窗)
  * feat: 系统升级提示信息获取逻辑更新(Bug: 171571)(Influence: 系统升级成功界面显示内容)
  * fix: 修复某些情况无法切换用户的问题。(Bug: 142255)(Influence: 切换用户。)
  * chore: V23接口改造适配(Task: 207483)(Influence: 无)

 -- zhaoyingzhen <zhaoyingzhen@uniontech.com>  Tue, 13 Dec 2022 19:20:28 +0800

dde-session-ui (6.0.4.1) unstable; urgency=medium

  [ Deepin Packages Builder ]
  * feat: 适配osd重新设计的新样式(Task: 175575)(Influence: osd显示及全量功能。)
  * fix: Can't get show-on-top for dde-osd's appInfo(Bug: 147681)(Influence: 小组件置顶功能失效，dde-osd提供的置顶服务失败)
  * chore: 同步V23 deepin-daemon 服务名称修改(Influence: dde-session-ui全量功能)
  * fix: 修复部分OSD窗体尺寸和显示文字内容宽度不匹配的问题。(Bug: 154523)(Influence: 无影响。)
  * fix: 修复声音和亮度OSD数值文字在深色模式下显示的问题。(Bug: 154537)(Influence: 声音和亮度OSD文字随系统主题颜色变化。)
  * fix: 修复声音OSD不显示静音的问题。(Bug: 154545)(Influence: 无影响。)
  * fix: 修复声音OSD上有些数值显示不对的问题。(Bug: 154561)(Influence: 无影响。)
  * fix: 修复声音OSD在深色模式下的显示问题。(Bug: 154537)(Influence: 无影响。)
  * chore: 更新翻译配置文件及代码中文案提示(Influence: 无。)
  * chore: 更新翻译文件(Influence: 无。)

 -- baodi <baodi@uniontech.com>  Wed, 19 Oct 2022 11:44:05 +0800

dde-session-ui (6.0.3) unstable; urgency=medium

  [ TagBuilder ]


=== debian/control ===
Source: dde-session-ui
Section: devel
Priority: optional
Maintainer: Deepin Sysdev <sysdev@deepin.com>
Build-Depends: debhelper (>= 8.0.0), pkg-config,
 cmake,
 qtbase5-dev,
 libxcb-ewmh-dev,
 libxcb1-dev,
 libqt5x11extras5-dev,
 libgsettings-qt-dev,
 libqt5svg5-dev,
 libglib2.0-dev,
 libdtkwidget-dev,
 qttools5-dev-tools,
 libsystemd-dev,
 libdtkcore5-bin,
 dde-dock-dev,
 libgtest-dev,
 libgmock-dev,
 libdeepin-pw-check-dev,
 libgio-qt-dev
Standards-Version: 3.9.4
Homepage: http://www.deepin.org/

Package: dde-session-ui
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${dist:Depends},
 deepin-desktop-schemas (>= 5.9.14),
 dde-daemon (>=5.13.27),
 startdde (>=5.8.15),
 x11-xserver-utils,
 dbus-user-session,
 dde-session-shell,
Provides: lightdm-greeter
Recommends: onboard
Conflicts: dde-workspace,
 startdde (<< 2.91.1),
 dde-control-center (<<6.0.0.1),
 deepin-notifications
Replaces: deepin-notifications
Breaks: dde-workspace, startdde(<< 2.91.1), dde-control-center (<<6.0.0.1)
Description: deepin desktop-environment - dde-session-ui module
 Deepin desktop environment 2015 - dde-session-ui module.
